unit ShadesMain;

interface

uses
  shades,    // where all the goodies are

  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons;

type
  TfShadesMain = class(TForm)
    buClose: TButton;
    buWallpaper: TButton;
    buRaise: TButton;
    buSink: TButton;
    Memo1: TMemo;
    Img: TImage;
    ShCircle: TShape;
    sbDummy: TSpeedButton;
    procedure buCloseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure buWallpaperClick(Sender: TObject);
    procedure buRaiseClick(Sender: TObject);
    procedure buSinkClick(Sender: TObject);
  private
    bm : TBitmap;  // this is what we use to point the form with
  public
    { Public declarations }
  end;

  // Note there is no border to this form


var
  fShadesMain: TfShadesMain;

implementation

{$R *.DFM}

procedure TfShadesMain.FormCreate(Sender: TObject);
begin
  // Early on in the app we want to do some setup work
  // so lets do it while creating the main form
  SetUpSomeStdShades;
end;

procedure TfShadesMain.FormActivate(Sender: TObject);
begin
  //  if we have a bitmap with which to paint the form then do it
  if assigned(bm) then begin
    canvas.draw(0,0,bm);
  end else begin
    //  First time, we'll have to do the prettyfication
    //    [0] is index to shades - try other if you want to      <-- HACK HERE
    //    BG004 is going to give us a marble effect              <-- HACK HERE
    PictureShadeForm(self,shadestore[0],'BG004');
  end;
  // keep a record for another time
  bm := formbitmap(self);
end;

procedure TfShadesMain.FormPaint(Sender: TObject);
begin
  application.processmessages;
  if assigned(bm) then canvas.draw(0,0,bm);
end;

procedure TfShadesMain.FormDestroy(Sender: TObject);
begin
  bm.free;   // tidy up behind us
end;

procedure TfShadesMain.buWallpaperClick(Sender: TObject);
begin
  bm := BorderShadeForm(self,shadestore[0],true);
end;

procedure TfShadesMain.buRaiseClick(Sender: TObject);
begin
  raisecontrols(self);
  bm := formbitmap(self);
end;

procedure TfShadesMain.buSinkClick(Sender: TObject);
begin
  sinkcontrols(self);
  bm := formbitmap(self);
end;

procedure TfShadesMain.buCloseClick(Sender: TObject);
begin
  close;  // end the app
end;

end.
